Install NFS server packages:
  pkg.installed:
    - pkgs:
      - nfs-kernel-server
      - yast2-nfs-common 
      - yast2-nfs-server

Create exports structure:
  file.recurse:
    - name: /srv/exports
    - source: salt://nfs-server/files/exports
    - user: root
    - group: users
    - file_mode: "0600"
    - include_empty: True
    - makedirs: True
    - dir_modes: "0755"


Start nfs-server:
  service.running:
    - name: nfsserver
    - enable: True
